faustaudio
Prev | Orchestra Opcodes and Operators | Next

## faustaudio

faustaudio — Instantiates and runs a compiled Faust program.

## Description

Plugin opcode in faustcsound.

Faustaudio will instantiate and run a Faust program compiled with faustcompile.

## Syntax

    ihandle,a1[,a2,...] faustaudio ifac[,ain1,...]

## Initialization

“ifac” -- a handle to a compiled Faust program, produced by faustcompile.

“ihandle” -- a handle to the Faust DSP instance, which can be used to access its controls with faustctl.

## Performance

“ain1,...” -- input signals

“a1,...” -- output signals

## Examples

Here is an example of the faustaudio opcode. It uses the file faustaudio.csd.

Example 278. Example of the faustaudio opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    -odac
    </CsOptions>
    <CsInstruments>
    instr 1
     a1 rand 0dbfs/4
     a2 oscili 0dbfs/4, 440
     ihandle faustcompile "process=+;", "-vec -lv 1"
     idsp,asig faustaudio ihandle,a1,a2
       out asig
    endin
    </CsInstruments>
    <CsScore>
    i1 0 10
    </CsScore>
    </CsoundSynthesizer>

## Credits

Author: Victor Lazzarini, 2013

Prev | Up | Next
expsegr | Home | faustcompile